diff -c -w "menu-bar.el" "menu-bar-patched-2011-06-17.el"
*** menu-bar.el	Fri Jun 17 06:52:34 2011
--- menu-bar-patched-2011-06-17.el	Fri Jun 17 07:14:10 2011
***************
*** 1977,1982 ****
--- 1977,1986 ----
  ;; Used to cache the menu entries for commands in the Buffers menu
  (defvar menu-bar-buffers-menu-command-entries nil)
  
+ (defvar menu-bar-select-buffer-function 'switch-to-buffer
+   "Function applied to a buffer chosen from the `Buffers' menu-bar menu.
+ It must accept a buffer as its only required argument.")
+ 
  (defun menu-bar-update-buffers (&optional force)
    ;; If user discards the Buffers item, play along.
    (and (lookup-key (current-global-map) [menu-bar buffer])
***************
*** 2022,2028 ****
  					(cons nil nil))
  				  `(lambda ()
                                       (interactive)
!                                      (switch-to-buffer ,(cdr pair))))))
                     (list buffers-vec))))
  
  	 ;; Make a Frames menu if we have more than one frame.
--- 2026,2032 ----
  					(cons nil nil))
  				  `(lambda ()
                                       (interactive)
!                                      (funcall menu-bar-select-buffer-function ,(cdr pair))))))
                     (list buffers-vec))))
  
  	 ;; Make a Frames menu if we have more than one frame.

Diff finished at Fri Jun 17 07:14:31
